# SPDX-License-Identifier: GPL-2.0
%YAML 1.2
---
$id: http://devicetree.org/schemas/display/panel/innolux,p097pfg.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: Innolux P097PFG 9.7" 1536x2048 TFT LCD panel

maintainers:
  - Lin Huang <hl@rock-chips.com>

allOf:
  - $ref: panel-common.yaml#

properties:
  compatible:
    const: innolux,p097pfg

  backlight: true
  enable-gpios: true
  reg: true

  avdd-supply:
    description: The regulator that provides positive voltage

  avee-supply:
    description: The regulator that provides negative voltage

required:
  - compatible
  - reg
  - avdd-supply
  - avee-supply
  - enable-gpios

additionalProperties: false

examples:
  - |
    #include <dt-bindings/gpio/gpio.h>

    dsi {
        #address-cells = <1>;
        #size-cells = <0>;

        panel@0 {
            compatible = "innolux,p097pfg";
            reg = <0>;
            avdd-supply = <&avdd>;
            avee-supply = <&avee>;
            backlight = <&backlight>;
            enable-gpios = <&gpio1 13 GPIO_ACTIVE_HIGH>;
        };
    };

...
